#include<bits/stdc++.h>
#define ll long long
#define ull unsigned long long
#define pb push_back
#define mk make_pair
#define v_sort(x) sort(x.begin(),x.end())
#define v_gsort(x) sort(x.begin(),x.end(),greater<ll>())
#define v_find(x,num) find(x.begin(),x.end(),num)
#define PI 3.14159265
#define MOD 1000000007
#define MOD1 998244353

using namespace std;

void Solve(){
  string s,t;
  cin>>s>>t;
  int tc=2;
  for(int i=0;i<(int)t.size();i++){
    if(t[i]!='a') tc=-1;
  }
  int n=(int)s.size();
  if(t=="a"){
    int ans=0;
    for(int i=0;i<n;i++){
      if(s[i]=='a') ans++,s[i]='*';
    }
    cout<<ans<<'\n'<<s<<'\n';
  }
  else if(tc==2){
    int ans=0,num=0;
    for(int i=0;i<n;i++) if(s[i]=='a') num++;
    for(int i=0;i<n;i++){
      if(num==(int)t.size()-1) break;
      if(s[i]=='a'){
        num--;
        ans++;
        s[i]='*';
      }
    }
    cout<<ans<<'\n'<<s<<'\n';
  }
  else{
    cout<<"0\n"<<s<<'\n';
  }

}

int main(){
  ios::sync_with_stdio(false);
  cin.tie(NULL);
  int t=1;
//  freopen("input.txt","r",stdin);
//  freopen("output.txt","w",stdout);
//  cin>>t;
  while(t--){
    Solve();
  }
  return 0;
}